// pages/meeting/renewalContract/index.js
import {
    continueMeetingSpan,
    continueMeeting
} from '../../../utils/api/meeting'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        item: {},
        startTime: null,
        endTime: null,
    },
    getValue(e) {
        let type = e.currentTarget.dataset.type
        this.setData({
            [`${type}`]: e.detail
        });
    },
    submit() {
        let {
            continueAppointmentEndTime,
            item
        } = this.data
        if (!continueAppointmentEndTime) {
            wx.showToast({
                title: '请将内容填写完整',
                icon: 'none'
            })
            return
        }
        let data = {
            continueAppointmentEndTime: continueAppointmentEndTime,
            meetingRecordId: item.meetingRecordId
        }
        wx.requestSubscribeMessage({
            tmplIds: ['mJs6TXjIFuwgPu2JOEIpu3lO9ym9rnai-schUPuLuok'],
            success(res) {
                continueMeeting(data).then(res => {
                    wx.showToast({
                        title: '操作成功',
                        icon: 'none',
                        duration: 800,
                        mask: true,
                        success: function () {
                            setTimeout(function () {
                                wx.switchTab({
                                    url: '/pages/home/home',
                                })
                            }, 800)
        
                        }
                    })
                })
            }
        })
        
    },
    continueMeetingSpan() {
        continueMeetingSpan({
            meetingRecordId: this.data.item.meetingRecordId
        }).then(res => {
            this.setData({
                startTime: this.data.item.appointmentEndTime,
                endTime: res.data.continueAppointmentEndTime,
            })
        })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.setData({
            item: JSON.parse(options.item),
        })
        this.continueMeetingSpan()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})